package utilities;


/**
 * @author Mathieu Rousseau
 * @email mathieu.rousseau3@mail.mcgill.ca
 */


import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;


/** ------------------------------------------------------------------------------------------------------------------
 * start of IFcorrelationMain class
 * ------------------------------------------------------------------------------------------------------------------  **/
public class IFcorrelationMain {

	
	
	
	/*  start of main method  */
	/**
	 * @param args
	 */
	public static void main(String[] args) {
		
		
		
		
		/******************************************************
		 * 													  *
		 * 				SET THE PARAMETERS HERE				  *
		 * 													  *
		 ******************************************************/
		
		
		String file_list = "file_list.txt";
		
		
		String inputPath = "IFcorrelation/Input/";
		String outputPath = "IFcorrelation/Output/";
		
		
		IFcorrelation correlationFileGenerator = new IFcorrelation(inputPath, outputPath);
				

		String line = null;
		int lineCounter = -1;			//  there is one header line
		try{
			BufferedReader br = new BufferedReader(new FileReader(inputPath + file_list));
			while((line = br.readLine()) != null){
				if(lineCounter >= 0){
					
					String values[] = line.split("\t");
					if(values.length != 2){
						System.err.println("Error: there are not exactly 2 entries per line in the file list file.\nSystem.exit(0)");
						System.exit(0);
					}
					
					String filename1 = values[0];
					String filename2 = values[1];
					
					correlationFileGenerator.generateCorrelationFile(filename1, filename2);
				}
				else{
					//  skip and the header line
//					System.out.println(line);
				}
				lineCounter++;
			}
			br.close();
		}catch (IOException e) {
			e.printStackTrace();
		}
		
		
		/******************************************************
		 * 													  *
		 * 				END OF SETTING THE PARAMETERS		  *
		 * 													  * 
		 ******************************************************/
		
		
		
		
	}/*  end of main method  */

}/*  end of IFcorrelationMain class  */
