package modeling;


/**
 * @author Mathieu Rousseau
 * @email mathieu.rousseau3@mail.mcgill.ca
 */


/** ------------------------------------------------------------------------------------------------------------------
 * start of MicroarrayToIFMain class
 * ------------------------------------------------------------------------------------------------------------------  **/
public class MicroarrayToIFMain {
	

	
	
	/*  start of main method  */
	public static void main(String[] args){
		

		//  parameters for the MicroarrayToIF program
		String filenameExperiment, filenameBAC;
		double bakcground_cutoff_percentage, stdev_cutoff_percentage;
		
		
		//  MicroarrayToIF program object
		MicroarrayToIF IFcalculator = new MicroarrayToIF();
		
		
		
				
		/******************************************************
		 * 													  *
		 * 				SET THE PARAMETERS HERE				  *
		 * 													  *
		 ******************************************************/
		
		
		
		filenameExperiment = "96Hr_HoxA.txt";
//		filenameExperiment = "PMA.txt";
		filenameBAC = "BAC03_HoxA.txt";


//		filenameExperiment = "DMSO_GDGD.txt";
//		filenameExperiment = "PMA_GDGD.txt";
//		filenameBAC = "BAC_GDGD.txt";

		
		bakcground_cutoff_percentage = 150;
		
		
		stdev_cutoff_percentage = 75;
		
		
		/******************************************************
		 * 													  *
		 * 				END OF SETTING THE PARAMETERS		  *
		 * 													  * 
		 ******************************************************/
		
		
		
		
		//  add all of the parameters to the arguments array
		args = new String[4];
		args[0] = filenameExperiment;
		args[1] = filenameBAC;
		args[2] = String.valueOf(bakcground_cutoff_percentage);
		args[3] = String.valueOf(stdev_cutoff_percentage);

		
		
		//  run the MCMC5C program
		IFcalculator.run(args);
		
		
		
	}/*  end of main method  */

}/*  end of MicroarrayToIFMain class  */
